[debian-users 00678] Re: 同じソースパッケージからビルドされるバイナリパッケージのバージョンの不一致

Hideki Yamane henrich @ iijmio-mail.jp
2020年 9月 20日 (日) 19:46:51 JST


 やまねです。

On Mon, 14 Sep 2020 13:48:22 +0900 (JST)
Yasuhiro KIMURA <yasu @ utahime.org> wrote:
> Unstableで、同一のソースパッケージから生成される複数のバイナリパッケー
> ジの間で、最新バージョンに不一致が発生している状況というのは、どういっ
> たことが原因で起きるものなのでしょうか。

 端的に言うと「最新版ではそのバイナリパッケージをビルドしなくなった」です。



> 具体的には、python-defaultsの最新パッケージは2.7.18-2なのですが、そこ
> からビルドされるバイナリパッケージのうち、
> 
> * libpython2-stdlib
> * python2
> * python2-minimail
> 
> などの最新バージョンはソースパッケージと同じ2.7.18-2なのですが、
> 
> * libpython-stdlib
> * python
> * python-minimail
> 
> などの最新バージョンは何故か2.7.17-2のままになっています。

 
 https://tracker.debian.org/news/1164934/accepted-python-defaults-2718-1-source-into-unstable/
 より

>   * Stop building the python, python-dev, python-dbg, python-doc,
>     python-minimal, libpython-dev, libpython-dbg, libpython-stdlib packages.

 apt-listchanges をインストール→ dpkg-reconfigure で changelog も
 見る設定にして、都度見る癖を付けておくといいかもですね。
 

-- 
Regards,

 Hideki Yamane     henrich @ debian.org/iijmio-mail.jp


debian-users メーリングリストの案内